Name:           perl-Nmap-Parser
Version:        1.19
Release:        2%{?dist}
Summary:        Parse nmap scan data with perl

Group:          Development/Libraries
License:        GPLv2+
URL:            http://search.cpan.org/dist/Nmap-Parser
Source0:        http://search.cpan.org/CPAN/authors/id/A/AP/APERSAUD/Nmap-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(XML::Twig), perl(ExtUtils::MakeMaker), perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a interface to the information contained in an nmap 
scan. It is implemented by parsing the xml scan data that is generated by 
nmap. This will enable anyone who utilizes nmap to quickly create fast and 
robust security scripts that utilize the powerful port scanning abilities of 
nmap.


%prep
%setup -qn Nmap-Parser-%{version}

#fix end-of-line encoding
sed -i 's/\r//' $RPM_BUILD_DIR/Nmap-Parser-%{version}/README
sed -i 's/\r//' $RPM_BUILD_DIR/Nmap-Parser-%{version}/Parser.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

install -D -m 755 tools/nmap2sqlite.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/nmap2sqlite.pl
install -m 755 tools/pdev.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/pdev.pl
install -m 755 tools/scan.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/scan.pl

#fix permissions
chmod 0644 $RPM_BUILD_DIR/Nmap-Parser-%{version}/README
chmod 0644 $RPM_BUILD_DIR/Nmap-Parser-%{version}/LICENSE
chmod 0644 $RPM_BUILD_ROOT%{perl_vendorlib}/Nmap/Parser.pm


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{perl_vendorlib}/*
%{_datadir}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 04 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org>
- New upstream release
- Fix typo in manual install
- Don't use dos2unix, rely on sed magic instead

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 03 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 1.16-2
- New release, 1.16
- Add data files

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.05-5
Rebuild for new perl

* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.05-4
- Bump release for upgrade path

* Wed May 09 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-3
- Move end-of-line fix to %%prep
- Update dos2unix BR

* Tue May 08 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-2
- Don't package Manifest
- Fix permissions
- Fix end-of-line encoding
- Add missing BRs
* Thu May 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.05-1
- Initial build
